View Issue Details

IDProjectCategoryView StatusLast Update
0001800FreeCADBugpublic2014-11-09 16:08
ReporterfollowerAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacBook ProOSMac OS XOS Version10.8.5
Product Version0.14 
Target VersionFixed in Version0.15 
Summary0001800: Redraw does not work with MSAA Anti-Aliasing selected
DescriptionWhen one of the MSAA Anti-Aliasing schemes is selected the model display area is not re-drawn/re-painted when Sketch mode is exited.

Note: This is on a MacBook Pro with "Intel HD Graphics 4000" & "NVIDIA GeForce GT 650M".
Steps To ReproduceChange Display > 3D View > Anti-Aliasing to MSAA 2x (or 4x or 8x)
Create new document (In "Complete" mode)
Create a new sketch
Close the sketch
(Observe that the sketch grid etc is still displayed.)

Change the Anti-Aliasing mode to None or Line smoothing and observe the sketch grid is not displayed when following the same steps.

(Optionally add a cylinder before the sketch and observe the display is not updated )
Additional InformationOS: Mac OS X
Word size: 64-bit
Version: 0.14.3703 (Git)
Branch: releases/FreeCAD-0-14
Hash: c6edd47334a3e6f209e493773093db2b9b4f0e40
Python version: 2.7.5
Qt version: 4.8.6
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.7.0
TagsNo tags attached.

Activities

follower

2014-10-24 13:32

reporter   ~0005250

This comment might be relevant: "I found a regression when anti-aliasing is on. Whenever you draw into the front buffer (happens with the mesh cutting/trimming or the rubberband selection in the sketcher) the repainting doesn't work properly any more" (via http://forum.freecadweb.org/viewtopic.php?p=52839#p52839)

DeepSOIC

2014-10-24 22:21

developer   ~0005252

Not reproduced on:
OS: Windows 8.1
Word size: 64-bit
Version: 0.14.3700 (Git)
Branch: releases/FreeCAD-0-14
Hash: 32f5aae0a64333ec8d5d160dbc46e690510c8fe1
Python version: 2.7.6
Qt version: 4.8.5
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.6.0
Intel HD Graphics 4000 on Sony Vaio Duo 11
Although I do get a strange transient grey screen when I close or open the sketch.
Anyway... In current development version the 3D viewer has changed (http://forum.freecadweb.org/viewtopic.php?f=10&t=7486), so the bug is likely irrelevant.

DanStory

2014-10-28 15:54

reporter   ~0005260

I was also able to reproduce it.

OS: Mac OS X
Word size: 64-bit
Version: 0.14.3703 (Git)
Branch: releases/FreeCAD-0-14
Hash: c6edd47334a3e6f209e493773093db2b9b4f0e40
Python version: 2.7.5
Qt version: 4.8.6
Coin version: 3.1.3
SoQt version: 1.5.0

System Info:
MacBook Pro (Retina, 13-inch, Late 2013)
CPU: 2.4 GHz Intel Core i5
RAM: 16 GB 1600 MHz DDR3
GPU: Intel Iris 1536 MB

wmayer

2014-11-09 16:08

administrator   ~0005293

It seems this happened only with SoQt. The current development branch has moved to the more modern Quarter library and there it works.

Issue History

Date Modified Username Field Change
2014-10-24 13:31 follower New Issue
2014-10-24 13:32 follower Note Added: 0005250
2014-10-24 22:21 DeepSOIC Note Added: 0005252
2014-10-28 15:54 DanStory Note Added: 0005260
2014-11-09 16:08 wmayer Note Added: 0005293
2014-11-09 16:08 wmayer Status new => closed
2014-11-09 16:08 wmayer Assigned To => wmayer
2014-11-09 16:08 wmayer Resolution open => fixed
2014-11-09 16:08 wmayer Fixed in Version => 0.15